Do not appear in Startup Applications

Reported by Michael Terry on 2011-06-30
30
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Jockey
Undecided
Unassigned
Ubuntu One Client
Medium
Michael Terry
Baltix
Undecided
Unassigned
gconf (Ubuntu)
Undecided
Unassigned
gnome-bluetooth (Ubuntu)
Undecided
Unassigned
gnome-disk-utility (Ubuntu)
Undecided
Unassigned
gnome-keyring (Ubuntu)
Undecided
Unassigned
gnome-power-manager (Ubuntu)
Undecided
Unassigned
gnome-user-share (Ubuntu)
Undecided
Unassigned
libcanberra (Ubuntu)
Undecided
Unassigned
pulseaudio (Ubuntu)
Undecided
Unassigned
system-config-printer (Ubuntu)
Undecided
Unassigned
ubuntuone-client (Ubuntu)
Medium
Rodney Dawes
update-notifier (Ubuntu)
Undecided
Unassigned
vino (Ubuntu)
Undecided
Unassigned
xdg-user-dirs-gtk (Ubuntu)
Undecided
Unassigned
zeitgeist-datahub (Ubuntu)
Undecided
Unassigned

Bug Description

It was decided at the last UDS (https://blueprints.launchpad.net/ubuntu/+spec/desktop-o-startup-applications) to hide all applications that appear in "Startup Applications" by default.

Each should have NoDisplay=true added to its .desktop file.

This is an Ubuntu-only change as upstream GNOME has previously rejected our patch for supporting the NoDisplay key in autostart files.

Michael Terry (mterry) on 2011-06-30
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-bluetooth - 3.0.1-0ubuntu2

---------------
gnome-bluetooth (3.0.1-0ubuntu2) oneiric; urgency=low

  * debian/patches/nodisplay_autostart.patch:
    - Don't display in "Startup Applications" (LP: #803917)
  * debian/patches/onlyshowin_unity.patch:
    - Add Unity to OnlyShowIn values (LP: #803519)
 -- Michael Terry <email address hidden> Thu, 30 Jun 2011 16:00:55 +0100

Changed in gnome-bluetooth (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-keyring - 3.0.3-2ubuntu1

---------------
gnome-keyring (3.0.3-2ubuntu1) oneiric; urgency=low

  * debian/patches/04_nodisplay_autostart.patch:
    - Don't show in "Startup Applications" (LP: #803917)
  * debian/patches/05_onlyshowin_unity.patch:
    - Add Unity to OnlyShowIn (LP: #803519)
 -- Michael Terry <email address hidden> Thu, 30 Jun 2011 16:58:55 +0100

Changed in gnome-keyring (Ubuntu):
status: New → Fix Released
Michael Terry (mterry) on 2011-07-01
Changed in jockey:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package vino - 3.1.2-0ubuntu2

---------------
vino (3.1.2-0ubuntu2) oneiric; urgency=low

  * debian/patches/nodisplay_autostart.patch:
    - Don't show in "Startup Applications" (LP: #803917)
  * debian/patches/onlyshowin_unity.patch:
    - Add Unity to OnlyShowIn (LP: #803519)
 -- Michael Terry <email address hidden> Fri, 01 Jul 2011 10:30:25 +0100

Changed in vino (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-disk-utility - 3.0.0-1ubuntu2

---------------
gnome-disk-utility (3.0.0-1ubuntu2) oneiric; urgency=low

  * debian/patches/04_nodisplay_autostart.patch:
    - Don't show in "Startup Applications" (LP: #803917)
  * debian/patches/05_onlyshowin_unity.patch:
    - Add Unity to OnlyShowIn (LP: #803519)
 -- Michael Terry <email address hidden> Fri, 01 Jul 2011 10:55:56 +0100

Changed in gnome-disk-utility (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-user-share - 3.0.0-2ubuntu2

---------------
gnome-user-share (3.0.0-2ubuntu2) oneiric; urgency=low

  * debian/patches/06_nodisplay_autostart.patch:
    - Don't show in "Startup Applications" (LP: #803917)
  * debian/patches/07_onlyshowin_unity.patch:
    - Add Unity to OnlyShowIn (LP: #803519)
 -- Michael Terry <email address hidden> Fri, 01 Jul 2011 12:22:57 +0100

Changed in gnome-user-share (Ubuntu):
status: New → Fix Released
Michael Terry (mterry) on 2011-07-01
affects: gconf2 (Ubuntu) → gconf (Ubuntu)
Changed in gconf (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-notifier - 0.112ubuntu2

---------------
update-notifier (0.112ubuntu2) oneiric; urgency=low

  * data/update-notifier.desktop.in:
    - Don't show in "Startup Applications" (LP: #803917)
 -- Michael Terry <email address hidden> Fri, 01 Jul 2011 13:42:50 +0100

Changed in update-notifier (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xdg-user-dirs-gtk - 0.8-1ubuntu2

---------------
xdg-user-dirs-gtk (0.8-1ubuntu2) oneiric; urgency=low

  * debian/patches/nodisplay_autostart.patch:
    - Don't show in "Startup Applications" (LP: #803917)
  * debian/patches/onlyshowin_unity.patch:
    - Add Unity to OnlyShowIn (LP: #803519)
 -- Michael Terry <email address hidden> Fri, 01 Jul 2011 13:51:52 +0100

Changed in xdg-user-dirs-gtk (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-power-manager - 3.0.2-0ubuntu2

---------------
gnome-power-manager (3.0.2-0ubuntu2) oneiric; urgency=low

  * debian/patches/15-nodisplay-autostart.patch:
    - Don't show in "Startup Applications" (LP: #803917)
  * debian/patches/16-onlyshowin-unity.patch:
    - Add Unity to OnlyShowIn (LP: #803519)
 -- Michael Terry <email address hidden> Fri, 01 Jul 2011 14:38:34 +0100

Changed in gnome-power-manager (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libcanberra - 0.28-0ubuntu6

---------------
libcanberra (0.28-0ubuntu6) oneiric; urgency=low

  * debian/patches/02_nodisplay_autostart.patch:
    - Don't show in "Startup Applications" (LP: #803917)
  * debian/patches/03_onlyshowin_unity.patch:
    - Add Unity to OnlyShowIn (LP: #803519)
 -- Michael Terry <email address hidden> Fri, 01 Jul 2011 15:03:38 +0100

Changed in libcanberra (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package system-config-printer - 1.3.3+20110602-0ubuntu3

---------------
system-config-printer (1.3.3+20110602-0ubuntu3) oneiric; urgency=low

  * debian/patches/21_nodisplay_autostart.patch:
    - Don't show in "Startup Applications" (LP: #803917)
 -- Michael Terry <email address hidden> Fri, 01 Jul 2011 15:31:56 +0100

Changed in system-config-printer (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package zeitgeist-datahub - 0.7.0-0ubuntu2

---------------
zeitgeist-datahub (0.7.0-0ubuntu2) oneiric; urgency=low

  * debian/patches/nodisplay_autostart.patch:
    - Don't show in "Startup Applications" (LP: #803917)
 -- Michael Terry <email address hidden> Fri, 01 Jul 2011 14:30:07 +0100

Changed in zeitgeist-datahub (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pulseaudio - 1:0.9.23-0ubuntu2

---------------
pulseaudio (1:0.9.23-0ubuntu2) oneiric; urgency=low

  [ Daniel T Chen ]
  * Add the following patches backported from upstream git:
    - aa7bc32 (parecord: Automatically detect file format from extension)
      [series patch 0208]
    - 226ddb1 (alsa-sink: fix mmap_write() work_done) [series patch 0209]
  * Update debian/copyright to cover echo-cancel files.

  [ Michael Terry ]
  * 0016-nodisplay-autostart.patch:
    - Don't show in "Startup Applications" (LP: #803917)
 -- Michael Terry <email address hidden> Fri, 01 Jul 2011 12:56:15 +0100

Changed in pulseaudio (Ubuntu):
status: New → Fix Released
Changed in ubuntuone-client:
status: New → Fix Committed
Rodney Dawes (dobey) on 2011-07-25
Changed in ubuntuone-client:
assignee: nobody → Michael Terry (mterry)
importance: Undecided → Medium
milestone: none → 1.7.1
Changed in ubuntuone-client (Ubuntu):
assignee: nobody → Rodney Dawes (dobey)
importance: Undecided → Medium
milestone: none → oneiric-alpha-3
status: New → In Progress
Rodney Dawes (dobey) on 2011-08-09
Changed in ubuntuone-client:
status: Fix Committed → Fix Released
Changed in ubuntuone-client (Ubuntu):
status: In Progress → Fix Released
komputes (komputes) wrote :

This seems to affect Ubuntu Oneiric only (compared to previous releases as well as Fedora 16).
I'm having a hard time explaining how to disable a hidden item for one user in Startup Applications?

Would it be possible to expand gnome-session-properties to ignore NoDisplay value:

$ gnome-session-properties --hidden

This would be a much simpler workaround compared to editing multiple files (that may be written over by an updated package).

Sebastien Bacher (seb128) wrote :

> I'm having a hard time explaining how to disable a hidden item for one user in Startup Applications?

why do you need to disable system services this way? Could you give examples? Those autostarts are often conditional to a gsettings or a configuration option and the natural place to disable the service should be in the corresponding config dialog and not to have to workaround by editing autostart launchers

Here are some examples:

1) Login sound. Many users want to turn it off.

2) Guest accounts or dedicated accounts. For example, I use a dedicated account to play music. It's a restricted account with no password, everyone can use it to play music. This account shall never
 - log into Ubuntu One or even try to (ubuntuone-launch.desktop)
 - display update notifications (update-notifier.desktop)
 - search for drivers (jockey-gtk.desktop)
 - do any social networking (gwibber.desktop, telepathy-indicator.desktop)

Sebastien Bacher (seb128) wrote :

> Here are some examples:

Not good ones though...

> 1) Login sound. Many users want to turn it off.

Right, it will be off by default next cycle and a checkbox to turn it on or off will be added to the sound configuration dialog which is the dialog most user look for a such setting

> 2) Guest accounts or dedicated accounts. For example, I use a dedicated account to play music. It's a restricted account with no password, everyone can use it to play music. This account shall never
> - log into Ubuntu One or even try to (ubuntuone-launch.desktop)
> - display update notifications (update-notifier.desktop)
> - search for drivers (jockey-gtk.desktop)
>- do any social networking (gwibber.desktop, telepathy-indicator.desktop)

The guest accounts example don't work, the user directory for those is recreated at each session....
We are not saying that there is no usecase to disable services, but services should be configuration where it makes sense (the ubuntuone-control-panel for u1, jockey starts only once if your configuration doesn't change, im clients don't do anything if you don't have any account configuration, update-notifier can be tweaked from dconf-editor)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers